//
//  AppDelegate.swift
//  Merchant_Demo
//
//  Created by yan feng liu on 1/10/18.
//  Copyright © 2018 2C2P. All rights reserved.
//

import UIKit
import PGW

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    /**
     * Reference : https://developer.2c2p.com/docs/mobile-v4-initial-sdk
     *             https://developer.2c2p.com/docs/mobile-v4-api-parameters#section--pgwsdk-builder-class-parameters-
     */
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        
        self.initPaymentSDK()
        
        return true
    }

    /**
     * init 2C2P PGW SDK
     */
    func initPaymentSDK() {
        
        //Change to your merchant info on MerchantConfig class
        PGWSDK.builder()
              .merchantID(MerchantConfig.MERCHANT_ID)
              .apiEnvironment(APIEnvironment.SANDBOX)
              .initialize()
    }
}

